
export default class Ask {
	constructor(client) {
		this.client = client;
	}

	async ask_game(asked) {
		let response = await this.client._post(`/api/chat/ask/`, {
            asked:asked,
        });
	}
	
	async ask_game_canceled() {

	}

	async ask_game_accepted(asker) {
		let response = await this.client._post(`/api/chat/ask/accept`, {
            asker:asker,
        });

        console.log(response.status);
	}

	async ask_game_refused(asker) {
		let response = await this.client._delete(`/api/chat/ask/`, {
            asker:asker,
        });

        console.log(response.status);
	}

    async is_asked(asked) { 
		let response = await this.client._get(`/api/chat/ask/${asked}`);

        const statu = response.status;
        console.log(statu);
        if (statu == 404 || statu == 204)
            return false;
        return true;
    }
}
